:root{
    --accent-color: #ffffff;
    --accent-hover: #2d5e72;
}

.cookie-popup-container{
    width: fit-content;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    display: none;
}

.cookie-consent b.heading{
    font-weight: bold;
    font-size: 24px;
    margin-bottom: 20px;
    display: block;
}

.cookie-popup-container *{
    font-family: Verdana, Geneva, Tahoma, sans-serif;
}

.cookie-popup-container .cookie-popup{
    width: 80%;
    max-width: 550px;
    box-sizing: border-box;
    padding: 0px;
    box-shadow: 0px 5px 60px -3px rgb(53 18 72 / 50%);
    color: #000;
    overflow: visible;
    -ms-overflow-style: none;  /* IE and Edge */
    scrollbar-width: none;  /* Firefox */
    position: fixed;
    z-index: 99;
    right: 50%;
    transform: translateX(50%);
    bottom: 0px;
    box-shadow: 0px 0px 150px #000;
    
}

.cookie-popup-container .cookie-popup .cookie-image{
    display: flex;
    justify-content: center;
    padding-top: 10px;
    padding-bottom: 20px;
    position: relative;
}



.cookie-popup-container .cookie-popup::-webkit-scrollbar {
    display: none !important;
}

.cookie-popup-container .cookie-popup .cookie-popup-content-container{
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    width: 100%;
    position: absolute;
    top: 0px;
    left: 0;
    width: 100%;
    transform: translateY(calc(-100%));
    background: #c1dbe7;
    
    
    height: 180px;
    overflow: hidden;
    color: #000;
    transition: all 0.1s;
    border-radius: 0px;
    border-top-right-radius: 20px;
    border-top-left-radius: 20px;
   
    /* You can adjust the direction and colors of the gradient as needed */
    
}


.cookie-popup-container .cookie-popup .cookie-popup-content-container.open{
    height: 400px;
    border: 1px solid #2398c7;
}

.cookie-popup-container .cookie-popup .cookie-popup-content-container .cookie-content{
    overflow-y: hidden;
    background-color: #7c8cce;
}


.cookie-popup-container .cookie-popup .cookie-popup-content-container .cookie-content p,
.cookie-popup-container .cookie-popup .cookie-popup-content-container .cookie-content  h2 {
    color: white !important;
}

.cookie-popup-container .cookie-popup .cookie-popup-content-container.open .cookie-content{
    overflow-y: scroll;
}

.cookie-popup .cookie-panel{
   
    overflow: hidden;
}
.cookie-popup .cookie-panel ul{
    list-style-type: none;
    display: flex;
    padding-left: 0 !important;
    margin: 0 !important;
    border-top: 0px solid rgba(255,255,255,0.3);
    box-shadow: 0px 0px 30px rgba(0,0,0,0.7);
}

.cookie-popup .cookie-panel ul li{
    width: 50%;
    text-align: center;
    font-weight: 600;
    cursor: pointer;
    font-size: 12px;
    line-height: 18px;
    padding-bottom: 15px;
    padding-top: 10px;
    background-color: #fff;
    margin-bottom: 0;
}

.cookie-popup .cookie-panel ul li.active{

    
    color: #fff;
    background-color: #332061;
}

.cookie-popup-container .cookie-popup .cookie-popup-content-container .cookie-mid{
    height: 100%;
    padding: 35px 0px;
}

.cookie-popup-container .cookie-popup .cookie-popup-content-container .cookie-mid p{
    font-size: 12px;
    line-height: 18px;
    margin-top: 0px;
    margin-bottom: 10px;
    text-align: center;
    padding: 20px;
    
}

.cookie-popup-container .cookie-popup .cookie-popup-content-container .cookie-mid b{
    font-size: 12px;
    line-height: 18px;
}

.cookie-popup-container .cookie-popup .cookie-popup-content-container .cookie-mid .cookie-consent,
.cookie-popup-container .cookie-popup .cookie-popup-content-container .cookie-mid .cookie-cookies-display{
    display: none;
    padding-bottom: 15px;
    padding-top: 0px;
}
.cookie-content{
    overflow-y: scroll;
    padding-left: 0;
    padding-right: 0;
}
.cookie-cookies-display .cookie-category{
    margin-bottom: 0px;
    padding: 20px;

}
.cookie-cookies-display .cookie-category:nth-child(even){
    background: rgba(255,255,255,0.3);
}
.cookie-cookies-display-heading{
    text-align: center;
    padding-bottom: 20px;
    padding-left: 20px;
    padding-right: 20px;
}
.cookie-cookies-display-heading p{
    max-width: 450px;
    margin-left: auto;
    margin-right: auto;
    padding-bottom: 0px;
    margin-bottom: 0px !important;
}
.cookie-cookies-display-heading p a{
    color: #000;
    text-decoration: underline;
}
.cookie-cookies-display h2{
    text-align: center;
    font-size: 28px;
    line-height: 32px;
    padding-bottom: 0px;
    color: #1c6668;
    margin-bottom: 0px;
}

.cookie-cookies-display .cookie-category .choose{
    font-size: 12px;
    width: 35px;
    height: 20px;
    border-radius: 50px;
    border: 1px solid #CCC;
    margin-right: 10px;
    cursor: pointer;
    position: relative;
}
.cookie-cookies-display .cookie-category .choose::before{
    content: "";
    position: absolute;
    top: -2px;
    left: -2px;
    width: 22px;
    height: 22px;
    border-radius: 50%;
    background: #1B1464;
    transition: 0.5s all;
}
.cookie-cookies-display .cookie-category .choose.active::before{
    left: 12px;
    background: #1B1464;
}
.cookie-cookies-display .cookie-category .choose.active{
    border-color: var(--accent-hover);
    background-color: var(--accent-color);
}

.cookie-cookies-display .cookie-category .choose.active + .cookie-cat-name{
    color: #1B1464;
}

.cookie-cookies-display .cookie-category .choose.always-on{
    border-color: #CCC;
    background-color: #EEE;
    cursor: auto;
    opacity: 0.5;
}
.cookie-cookies-display .cookie-category .choose.always-on::before{
    left: 12px;
    background: #2E3192;
}

.cookie-cookies-display .cookie-category .data .data-resume .cat-main,
.cookie-cookies-display .cookie-category .data .data-resume .cat-main>div{
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.cookie-cookies-display .cookie-category .data .data-resume .cat-main{
    margin-bottom: 10px;
}


.data-resume .cookie-cat-name{
    font-weight: bold;
    cursor: pointer;
    transition: 300ms;
    font-size: 12px;
    line-height: 18px;
}

.cookie-cookies-display .cookie-category .data .data-resume .cat-describe{
    font-size: 12px;
    line-height: 18px;
}

.cookie-decide {
    position: sticky;
    bottom: 0px;
    left: 0;
    width: 100%;
    padding: 10px 20px;
    background: #2E3192;
 
    background-size: 30px;
    border: 1px solid #165264;
    box-shadow: 0px 0px 40px rgba(65, 65, 65, 0.396);
    display: flex;
    justify-content: space-between;
    border-radius: 0px;
    color: #000;
    
}

.cookie-decide .pre-cookie-box{
    text-align: left;
    padding-top: 0px;
    color: #000;
    flex-grow: 1;
    max-width: 200px;
    z-index: 2;
    position: relative;
}
.cookie-decide .pre-cookie-box p{
    margin-bottom: 2px;
    font-size: 13px;
    padding-bottom: 0px;
}
.cookie-decide .pre-cookie-box .cookie-box-toggle{
    color: #0567a8;
    margin-bottom: 5px;
    border-bottom: 1px solid #0567a8;
    display: inline-block;
    cursor: pointer;
    font-size: 13px;
}
.cookie-decide .pre-cookie-box .cookie-box-toggle:hover{
    color: #710ee6;
    border-bottom: 1px solid #710ee6;
}
.cookie-decide .cookie-decide-wrapper{
    list-style-type: none;
    display: flex;
    justify-content: space-between;
    gap: 10px;
    align-items: center;
    padding-left: 0 !important;
    margin: 0 !important;
    padding-top: 0px;
    flex-grow: 1;
    z-index: 2;
    position: relative;
}

.cookie-decide .cookie-decide-wrapper .col1{
    flex: 1;
}

.cookie-decide .cookie-decide-wrapper .btn-decide{
    width: 45%;
    text-align: center;
    border: 1px solid #fff;
    border-radius: 6px;
    padding: 8px;
    font-weight: bold;
    cursor: pointer;
    transition: 300ms;
    font-size: 12px;
    line-height: 18px;

    color: #fff;
    border-radius: 20px;
}

.cookie-decide .cookie-decide-wrapper .btn-decide:hover{
    background-color: var(--accent-color);
    color: #000;
}

.cookie-decide .cookie-decide-wrapper .btn-decide.allow{
    background: #ED1C24;
    color: #fff;
    max-width: 120px;
    float: left;
    border-color: #fff;
    
}
.cookie-decide .cookie-decide-wrapper .btn-decide.reject-all{
    max-width: 120px;
    float: left;
}
.translated-to-not-english .cookie-decide .cookie-decide-wrapper .btn-decide.reject-all{
    max-width: 140px;
    width: auto;
}

.cookie-decide .cookie-decide-wrapper .btn-decide.allow:hover{
    background: #ff4a50;
    color: #fff;
    border-color: #fff;
}
.cookie-decide .cookie-decide-wrapper .btn-decide.allow-selection{
    max-width: 160px;
    float: right;
}
.cookie-decide .cookie-decide-wrapper .btn-decide.customize{
    /* display: none; */
}

.decide-allow-selection .allow-selection{
    font-size: 16px;
    border: 1px solid #710ee6;
    padding: 10px;
    width: 100%;
    cursor:pointer;
    border-radius: 10px;
    text-align: center;
    margin-top: 30px;
    
}
.decide-allow-selection .allow-selection:hover{
    background-color: #710ee6;
    color: #fff;
}
a.privacy-policy-href{
    text-decoration: none;
    color: #0567a8;
    font-size: 12px !important;
    line-height: 18px;
    font-weight: 600 !important;
    text-decoration: underline;
}



/* @media screen and (max-width: 991px) {

    .cookie-popup-container .cookie-popup{
        width: 100%;
        max-height: min(450px, 90vh);
        top: calc(50% - min(225px, 45vh));
    }

    .cookie-decide {
        background-color: #fff;
        padding-bottom: 10px;
        
    }

    .cookie-popup-container .cookie-popup .cookie-popup-content-container .cookie-decide .cookie-decide-wrapper{
        display: flex;
        flex-direction: column;
      
        
    }

    .cookie-popup-container .cookie-popup .cookie-popup-content-container .cookie-decide .cookie-decide-wrapper .btn-decide{
        width: auto;
    }

    .cookie-popup-container .cookie-popup .cookie-popup-content-container .cookie-mid{
       
        padding-top: 8px;
    }

    .cookie-decide .cookie-decide-wrapper .btn-decide{
        padding: 8px;
        font-size: 12px;
        margin: 3px;
    }

    .cookie-popup-container .cookie-popup{
      
    }

    .cookie-popup .cookie-panel ul li{
        font-size: 12px;
        padding-bottom: 10px !important;
        
    }

    .cookie-popup-container .cookie-popup .cookie-popup-content-container .cookie-mid p,
    .cookie-popup-container .cookie-popup .cookie-popup-content-container .cookie-mid b,
    .data-resume .cookie-cat-name,
    a.privacy-policy-href{
        font-size: 12px;
        line-height: 18px;
    }

    .cookie-cookies-display .cookie-category .data .data-describe ul li{
        font-size: 10px;
        line-height: 12px;
        padding: 8px;
    }
} */

/* Small Devices, Tablets */
@media only screen and (max-width : 900px) {
    .cookie-popup-container .cookie-popup{
        width: 100%;
        max-width: calc(100% - 40px);
        bottom: 20px;
        right: 50%;
        transform: translateX(50%);
    }
    
    .cookie-decide{
        display: block;
        
        
    }
    .cookie-decide .pre-cookie-box{
        margin-left: auto;
        margin-right: auto;
        text-align: center;
        margin-bottom: 10px;
    }
    .cookie-decide .cookie-decide-wrapper{
        justify-content: center;
        flex-direction: column;
        gap: 0;
        
    }
    .cookie-decide .cookie-decide-wrapper .col1{
        width: 100%;
        display: flex;
        flex-direction: column;
    }
    .cookie-decide .cookie-decide-wrapper .col1 .btn-decide{
        width: 100%;
        max-width: 100%;
        margin-bottom: 10px;
        
    }
    .cookie-decide .cookie-decide-wrapper .btn-decide{
        margin-bottom: 10px;
        margin-bottom: 0px;
        width: 100%;
    }
    .cookie-decide .cookie-decide-wrapper .col2{
        width: 100%;
        max-width: 100% !important;
    }

    .cookie-decide::before, .cookie-decide::after{
        display: none;
    }
    .cookie-cookies-display h2{
        font-size: 18px;
        line-height: 22px;
    }
}


.tl-pl .cookie-decide .cookie-decide-wrapper .btn-decide.allow{
    width: 178px;
    max-width: 100%;
}
.tl-pl .cookie-decide .cookie-decide-wrapper .btn-decide.reject-all{
    width: 150px;
    max-width: 100%;
}

.tl-pl .cookie-decide .cookie-decide-wrapper .btn-decide.customize{
    width: 110px;
}

@media only screen and (max-width : 900px) {
    .tl-pl .cookie-decide .cookie-decide-wrapper .btn-decide.allow{
        width: 100%;
    }
    .tl-pl .cookie-decide .cookie-decide-wrapper .btn-decide.reject-all{
        width: 100%;
    }
    .translated-to-not-english .cookie-decide .cookie-decide-wrapper .btn-decide.reject-all{
        width: 100%;
        max-width: 100%;
    }
    
    body .tl-pl .cookie-decide .cookie-decide-wrapper .btn-decide.customize{
        width: 100%;
    }
}